Bug 1466246 - Package Review Request: python-keystone-tests-tempest
Package Review Request: python-keystone-tests-tempest
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Javier Peña
hguemar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 06:38 EDT by Chandan Kumar
Modified: 2017-08-08 10:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 10:06:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpena: rdo‑review+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2017-06-29 06:38:55 EDT
Package Name: python-keystone-tests-tempest

Upstream URL: https://github.com/openstack/keystone-tempest-plugin

SPEC FILE: https://github.com/chkumar246/keystone-tempest-plugin-distgit/blob/rpm-master/python-keystone-tests-tempest.spec

Description: This package contains Tempest plugin for functional testing of keystone LDAP and federation features. Additionally it provides a plugin to 
automatically load these tests into Tempest.
Comment 1 Alan Pevec 2017-06-29 08:28:21 EDT
licensecheck -r keystone-tempest-plugin

keystone-tempest-plugin/.coveragerc: *No copyright* UNKNOWN
keystone-tempest-plugin/.gitreview: *No copyright* UNKNOWN
keystone-tempest-plugin/.mailmap: *No copyright* UNKNOWN
keystone-tempest-plugin/.testr.conf: *No copyright* UNKNOWN
keystone-tempest-plugin/CONTRIBUTING.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/HACKING.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/LICENSE: *No copyright* Apache (v2.0)
keystone-tempest-plugin/README.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/babel.cfg: *No copyright* UNKNOWN
keystone-tempest-plugin/requirements.txt: *No copyright* UNKNOWN
keystone-tempest-plugin/setup.cfg: *No copyright* Apache
keystone-tempest-plugin/setup.py: Apache (v2.0) GENERATED FILE
keystone-tempest-plugin/test-requirements.txt: *No copyright* UNKNOWN
keystone-tempest-plugin/tox.ini: *No copyright* UNKNOWN
keystone-tempest-plugin/keystone_tempest_plugin/README.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/keystone_tempest_plugin/clients.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/config.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/plugin.py: Apache (v2.0)
keystone-tempest-plugin/doc/source/conf.py: *No copyright* Apache (v2.0)
keystone-tempest-plugin/doc/source/contributing.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/doc/source/index.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/doc/source/installation.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/doc/source/readme.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/doc/source/usage.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/keystone_tempest_plugin/tests/base.py: Apache (v2.0)
keystone-tempest-plugin/releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
keystone-tempest-plugin/releasenotes/source/index.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
keystone-tempest-plugin/keystone_tempest_plugin/services/identity/clients.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/tests/scenario/test_federated_authentication.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/services/identity/v3/auth_client.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/services/identity/v3/identity_providers_client.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/services/identity/v3/mapping_rules_client.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/services/identity/v3/saml2_client.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/services/identity/v3/service_providers_client.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/tests/api/identity/v3/fixtures.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/tests/api/identity/v3/test_identity_providers.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/tests/api/identity/v3/test_mapping_rules.py: Apache (v2.0)
keystone-tempest-plugin/keystone_tempest_plugin/tests/api/identity/v3/test_service_providers.py: Apache (v2.0)
Comment 2 Alan Pevec 2017-06-29 08:29:47 EDT
Project is APLv2 license, proceeding with review in gerrit https://review.rdoproject.org/r/#/q/topic:add-keystone-tests-tempest
Comment 3 Alan Pevec 2017-06-29 13:13:40 EDT
Corrected topic (using upstream project name): https://review.rdoproject.org/r/#/q/topic:add-keystone-tempest-plugin
Comment 4 Javier Peña 2017-06-30 06:15:32 EDT
Notes about the fedora-review output:

- The notes about the Source0 url and %define statements are expected, since the SRPM has been generated by DLRN.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 20 files have unknown
     license. Detailed output of licensecheck in /tmp/python-keystone-
     tests-tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -keystone-tests-tempest , python-keystone-tests-tempest-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev31
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-keystone-tests-tempest-0.0.1-0.20170630090815.360bbaf.el7.centos.noarch.rpm
          python-keystone-tests-tempest-doc-0.0.1-0.20170630090815.360bbaf.el7.centos.noarch.rpm
          python-keystone-tests-tempest-0.0.1-0.20170630090815.360bbaf.el7.centos.src.rpm
python2-keystone-tests-tempest.noarch: W: summary-ended-with-dot C Tempest plugin for the keystone project.
python2-keystone-tests-tempest.noarch: E: no-changelogname-tag
python-keystone-tests-tempest-doc.noarch: W: summary-not-capitalized C python-keystone-tests-tempest documentation
python-keystone-tests-tempest-doc.noarch: E: no-changelogname-tag
python-keystone-tests-tempest.src: W: summary-ended-with-dot C Tempest plugin for the keystone project.
python-keystone-tests-tempest.src: E: no-changelogname-tag
python-keystone-tests-tempest.src: W: invalid-url Source0: keystone_tempest_plugin-0.0.1.dev31-0.20170630090815.360bbaf.tar.gz
3 packages and 0 specfiles checked; 3 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python-keystone-tests-tempest-doc.noarch: W: summary-not-capitalized C python-keystone-tests-tempest documentation
python-keystone-tests-tempest-doc.noarch: E: no-changelogname-tag
python2-keystone-tests-tempest.noarch: W: summary-ended-with-dot C Tempest plugin for the keystone project.
python2-keystone-tests-tempest.noarch: E: no-changelogname-tag
2 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
python-keystone-tests-tempest-doc (rpmlib, GLIBC filtered):

python2-keystone-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-lxml
    python-requests
    python-six
    python-tempest
    python-testtools



Provides
--------
python-keystone-tests-tempest-doc:
    python-keystone-tests-tempest-doc

python2-keystone-tests-tempest:
    python-keystone-tests-tempest
    python2-keystone-tests-tempest



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-keystone-tests-tempest -m dlrn -r
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.
Comment 5 Chandan Kumar 2017-08-08 10:06:56 EDT
The package is now available from the RDO Trunk repo: https://trunk.rdoproject.org/centos7/current/

and here is the package dist-git : https://github.com/rdo-packages/keystone-tempest-plugin-distgit

Note You need to log in before you can comment on or make changes to this bug.